### Method

# Gtk Widgetallocate

#### Declaration [src]

    void
    gtk_widget_allocate (
      GtkWidget* widget,
      int width,
      int height,
      int baseline,
      GskTransform* transform
    )

#### Description [src]

This function is only used by `GtkWidget` subclasses, to assign a size, position and (optionally) baseline to their child widgets.

In this function, the allocation and baseline may be adjusted. The given allocation will be forced to be bigger than the widget’s minimum size, as well as at least 0×0 in size.

For a version that does not take a transform, see `gtk_widget_size_allocate()`.

#### Parameters

`width`

  Type: `int`

  New width of `widget`.

`height`

  Type: `int`

  New height of `widget`.

`baseline`

  Type: `int`

  New baseline of `widget`, or -1

`transform`

  Type: `GskTransform`

  Transformation to be applied to `widget`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.